# EspressoInit

## Resurrection of the Espresso Framework

End of June 2013 the authors of the Espresso Framework deleted the related repositories on Github.com and yanked the corresponding gems on Rubygems.org.


I had made an installation of the gems on my system on June/17, when I started to play with "enginery" and "rear".
From this local directories I could generate repositories in my public github account, anyway I lost all the history as I did not have forks.


To use this repos as gem source for the Espresso Framework, the way over Rubygems is blocked. So I changed the Gemfiles in these repos to reference my Github account. E.g. the Gemfile of "enginery" looks now like:

    source 'https://rubygems.org'

    gem 'e', :git => 'git://github.com/wokibe/espresso'
    gem 'el', :git => 'git://github.com/wokibe/espresso-lungo'
    gem 'rear', :git => 'git://github.com/wokibe/rear'

    group :development do
      gem 'specular', :git => 'git://github.com/wokibe/specular'
      gem 'sonar', :git => 'git://github.com/wokibe/sonar'
    end

    gemspec

To help the "resurrection" of the framework, I created this little gem, which generates a Gemfile with all the references to the recovered repos.
   
## Installation

    $ gem install espresso_init

## Usage

Start in a directory, where you want to place your Espresso projects

...
 
    $ espresso_init espresso-projects
    $ cd espresso-projects 
    $ bundle install
    $ bundle exec enginery g myproject
    $ cd myproject

...

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Added some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
